Bug 93790 - [cpufreq] cpufreq missing frequencies
Summary: [cpufreq] cpufreq missing frequencies
Status: Closed Overcome By Events
Alias: None
Product: Base System
Classification: Unclassified
Component: kern (show other bugs)
Version: 6.1-PRERELEASE
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-02-24 12:20 UTC by Victor Balada Diaz
Modified: 2020-01-22 23:18 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Victor Balada Diaz 2006-02-24 12:20:03 UTC
	cpufreq just detects frequecies up to 1500 mhz, but this CPU have
	a frequency up to 2000 mhz.
Comment 1 Colin Percival freebsd_committer 2006-02-25 05:06:32 UTC
State Changed
From-To: open->analyzed

The Enhanced SpeedStep driver was written before Intel released mobile 
processors with a 533MHz bus speed; it is recognizing the processor as 
having a 15x clock multiplier, and deciding that this means it is a 1.5GHz 
processor. 

This means that the Enhanced SpeedStep code has incorrectly recognized the 
processor and there may be frequencies which the driver is unable to use; 
but the main effect is simply that the frequencies are printed incorrectly: 
The frequency 2.0GHz is reported as 1.5GHz, the frequency 800MHz is reported 
as 600MHz, etc. 

Until this can be fixed properly, I suggest ignoring the frequency information 
returned by the driver; if the submitter uses powerd(8) he will find that it 
operates just as well in spite of the driver being somewhat confused. 



Comment 2 Colin Percival freebsd_committer 2006-02-25 05:06:32 UTC
Responsible Changed
From-To: freebsd-bugs->cperciva
Comment 3 Eitan Adler freebsd_committer freebsd_triage 2012-05-08 01:14:31 UTC
State Changed
From-To: analyzed->open

to the pool 


Comment 4 Eitan Adler freebsd_committer freebsd_triage 2012-05-08 01:14:31 UTC
Responsible Changed
From-To: cperciva->freebsd-bugs

to the pool
Comment 5 Eitan Adler freebsd_committer freebsd_triage 2017-12-31 08:00:41 UTC
For bugs matching the following criteria:

Status: In Progress Changed: (is less than) 2014-06-01

Reset to default assignee and clear in-progress tags.

Mail being skipped